/*
Theme Name:   itSerra
Description:  
Author:       itSerra
Author URL:   https://itserra.com
Template:     astra
Version:      1.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  itSerra
*/

/* tipografia */
@font-face {
  font-family: 'Courier Prime';
  src: url('/wp-content/themes/itSerra/fonts/cp-regular.woff2') format('woff2'); 
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'Courier Prime';
  src: url('/wp-content/themes/itSerra/fonts/cp-bold.woff2') format('woff2'); 
  font-weight: 700;
  font-style: normal;
}
body {
	font-family: 'Courier Prime',Courier New,Lucida Sans Typewriter,Lucida Typewriter,monospace!important;
	-webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
	font-size: 16px;
}
h1, .entry-content h2, h2, h3, h4, h5, h6 {
	font-weight: 300;
	font-family: Roboto,-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",sans-serif;
	font-size: 16px;
	text-transform: uppercase;
	letter-spacing: 1px;
	color: var(--e-global-color-text);
	-webkit-text-stroke: .5px rgba(0,0,0,.5);
}
address, blockquote, dd, dl, dt, fieldset, legend, li, ol, p, pre, textarea, ul, span,
.elementor-nav-menu .elementor-item, .obra-desc {
	-webkit-text-stroke: .5px rgba(255,255,255,.5);
}
.sans {
	font-family: Roboto,-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",sans-serif;
}

/* general */
body, a, a:hover {
	color: var(--e-global-color-text);
}

::-webkit-scrollbar-track {
	background-color: #FCFCFB;
}
::-webkit-scrollbar {
	width: 0;
	background-color: #FCFCFB;
}
::-webkit-scrollbar-thumb {
	background-color: var(--e-global-color-primary);
}
::selection {
	background: var(--e-global-color-primary);
	color: var(--e-global-color-secondary);
}
::-moz-selection {
	background: var(--e-global-color-primary);
	color: var(--e-global-color-secondary);
}

/* inputs, buttons */
.elementor-button {
	display: block;
	font-weight: 400;
	font-size: .9rem;
	color: var(--e-global-color-primary)!important;
	border: 1px solid var(--e-global-color-primary)!important;
	border-radius: 0!important;
	padding: 1em 2em!important;
	position: relative;
	width: max-content;
	background: transparent!important;
	outline: none;
	-webkit-appearance: none;
	-webkit-tap-highlight-color: transparent;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.elementor-button:hover {
	color: var(--e-global-color-secondary)!important;
	border: 1px solid var(--e-global-color-primary);
	background: var(--e-global-color-primary)!important;
	outline: none;
	-webkit-appearance: none;
	-webkit-tap-highlight-color: transparent;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

/*.elementor-field-type-acceptance {
  display: block;
  margin-bottom: 15px;
}*/

.elementor-field-type-acceptance input.elementor-acceptance-field {
  padding: 0;
  height: initial;
  width: initial;
  margin-bottom: 0;
  display: none!important;
  cursor: pointer;
}

.elementor-field-type-acceptance label {
  position: relative;
  cursor: pointer;
}

.elementor-field-type-acceptance label:before {
  content:'';
  -webkit-appearance: none;
  background-color: transparent;
  border: 1px solid var(--e-global-color-primary);
  box-shadow: none;
  padding: 6px;
  display: inline-block;
  position: relative;
  vertical-align: middle;
  cursor: pointer;
  margin: 0 7px 1px 0;
}

.elementor-field-type-acceptance input:checked + label:after {
  content: '';
  display: block;
  position: absolute;
  top: -1px;
  left: 5px;
  width: 7px;
  height: 11px;
  border: solid var(--e-global-color-text);
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}

@media (min-width: 768px){
	#contacto input, #contacto textarea {
		padding-left: 140px;
		font-family: 'Courier Prime',Courier New,Courier,Lucida Sans Typewriter,Lucida Typewriter,monospace!important;
	}
	#contacto input:focus, #contacto textarea:focus {
		outline: none;
	}
	#contacto label:not(:last-child) {
		position: absolute;
		height: 45px;
		min-width: 120px;
		line-height: 46px;
		font-family: 'Courier Prime',Courier New,Courier,Lucida Sans Typewriter,Lucida Typewriter,monospace;
		font-weight: 300;
		letter-spacing: 1px;
		text-align: left;
		padding-left: 20px;
		text-transform: uppercase;
		border-right: 1px solid;
		cursor: default;
	}
	#contacto label:last-child {
		font-size: 14px;
	}
	#contacto div.elementor-field-type-textarea label {
		top: 0;
		border-bottom: 1px solid;
	}
	#contacto div.elementor-field-group:not(:last-child) {
		margin-bottom: -1px;
	}
	#contacto div.elementor-field-group:last-child {
		margin-top: 10px;
	}
}

/* header & offcanvas-menu */
.mm-trigger, .close-popup {cursor: pointer;}
.mm-trigger .elementor-icon-wrapper {line-height: 1!important;}
.elementor-location-popup nav a.menu-link {-webkit-text-stroke: 1px rgba(246, 225, 224, .75);}


/* footer */
.footicon svg{
    transform: scale(1.4);
    transform-origin: bottom center;
}
footer.elementor-location-footer .elementor-nav-menu li{
	position: relative;
}
footer.elementor-location-footer .elementor-nav-menu li:not(:last-child):after {
	content:'';
	position: absolute;
	height: 14px;
	right: 0;
	bottom: 35%;
	width: 1px;
	background: var(--e-global-color-primary);
}
footer.site-footer {display: none;}

/* template obra */
.single-obra div.swiper-slide:not(.swiper-slide-active) {
	opacity: 0!important;
}
.single-obra .swiper-button-next:after, .swiper-button-prev:after {
	display: none;
}
.single-obra .swiper-button-next, 
.single-obra .swiper-container-rtl .swiper-button-prev {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 27 44'%3E%3Cpath d='M27 22L5 44l-2.1-2.1L22.8 22 2.9 2.1 5 0l22 22z' fill='%23000'/%3E%3C/svg%3E")!important;
	transform: scale(0.5);
}
.single-obra .swiper-button-prev {
	background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 27 44'%3E%3Cpath d='M0 22L22 0l2.1 2.1L4.2 22l19.9 19.9L22 44 0 22z' fill='%23000'/%3E%3C/svg%3E")!important;
	transform: scale(0.5);
}
.single-obra .swiper-pagination {
	position: relative;
	margin-top: 1rem;
}
.single-obra .swiper-pagination-bullet {
	width: 16px;
    height: 16px;
    background: transparent!important;
	border: 1px solid var(--e-global-color-primary);
}
.single-obra .swiper-pagination-bullet-active {
    opacity: 1;
    background: var(--e-global-color-primary)!important;
}
/* reducir el espacio entre los iconos del footer y la ficha */
.single-obra .footer-espacio .elementor-spacer-inner {
	height: 5vh!important;
}